Create an order (legacy)
Important
A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.
POST /v2/orders
Creates an order.
At a minimum, you must provide the following required attributes in the request body:
| Attribute | Type | Description | Example |
|---|---|---|---|
pointOfSale | string | The point of sale used in the order. | "spinflight.com", "spinair.com" |
currencyCode | string (uppercase ISO 4217) | The currency the guest used to complete a purchase. Set this to the organization’s default currency. | "EUR", "NZD","USD" |
price | number (currency) | The amount paid for the order. | 50, 30.6 |
orderedAt | string (ISO 8601) | The date and time the order was made. | "2026-01-01T16:17.000Z" |
referenceId | string | A unique ID generated by your organization to reference the order. For flight orders, this is often the PNR. | "B94TXY-1" |
In the response, ref contains the order reference.
If you have suggestions for improving this article, let us know!